#ifndef NETWORK_FTP_H
#define NETWORK_FTP_H TRUE

/*
**  ftp.h
**
**  (C) Copyright 2002 Rocklyte Systems.
**      All Rights Reserved.
*/

/*****************************************************************************
** FTP List structure (used for the FTPList method).
*/

struct FTPList {
   STRING Name;        /* Not null-terminated */
   LONG   NameLength;  /* Length of name, not including null terminator */
   LONG   Flags;       /* Special flags */
   LONG   Size;        /* File size */
   WORD   Year;        /* Year */
   BYTE   Month;       /* Month (1 - 12) */
   BYTE   Day;         /* Day (1 - 31) */
   BYTE   Hour;        /* Hour (0 - 23) */
   BYTE   Minute;      /* Minute (0 - 59) */

   LARGE  Time;        /* Modification time (time_t) */
};

#define FLF_DIRECTORY    0x00000001
#define FLF_LINK         0x00000002
#define FLF_LOCALTIME    0x00000004
#define FLF_REMOTEMINUTE 0x00000008
#define FLF_REMOTEDAY    0x00000010
#define FLF_FILE         0x00000020

/*****************************************************************************
** FTP Methods
*/

struct mtFTPSendData {
   STRING File;
};

struct mtFTPGetData {
   STRING File;
};

struct mtFTPList {
   STRING Path;
   struct FTPList *Result;
   LONG Size;
};

#define MT_FTPSendData -1
#define MT_FTPGetData  -2
#define MT_FTPList     -3
                
#endif /* NETWORK_FTP_H */
